---
# https://developer.android.com/studio/archive.html
{%- from "androidstudio/map.jinja" import androidstudio with context %}

{%- if salt['file.grep'](androidstudio.install_dir + '/android-studio/build.txt', androidstudio.version_regex)['retcode'] == 1 or not salt['file.file_exists'](androidstudio.install_dir + '/android-studio/build.txt') %}
androidstudio-archive-extract:
  archive.extracted:
    - name: {{ androidstudio.install_dir }}
    - source: {{ androidstudio.mirror }}/{{ androidstudio.version }}/android-studio-ide-{{ androidstudio.tag }}-linux.tar.gz
    - skip_verify: true
    - archive_format: tar
    - overwrite: true

androidstudio-shortcut:
  file.managed:
    - name: /usr/share/applications/jetbrains-studio.desktop
    - source: salt://androidstudio/jetbrains-studio.desktop.j2
    - user: root
    - group: root
    - mode: 644
    - template: jinja
    - onchanges:
      - androidstudio-archive-extract
{%- endif %}