# -*- coding: utf-8 -*-
# vim: ft=sls

{% from "gitea/map.jinja" import gitea with context %}

git:
  group.present:
    - system: true
  user.present:
    - system: true
    - home: /var/lib/gitea
    - shell: /usr/sbin/nologin
    - groups:
      - git
    - require:
      - group: git
  pkg.installed: []

/var/lib/gitea/gitea:
  file.managed:
    - source: "https://dl.gitea.io/gitea/{{ gitea.version }}/gitea-{{ gitea.version }}-linux-{{ gitea.arch }}"
    - source_hash: "https://dl.gitea.io/gitea/{{ gitea.version }}/gitea-{{ gitea.version }}-linux-{{ gitea.arch }}.sha256"
    - user: git
    - group: git
    - mode: 750
    - require:
      - git