---
{%- from "provision/map.jinja" import specs with context %}
schedule_highstate:
  schedule.present:
    - name: schedule_highstate
    - function: state.highstate
    - minutes: 30
    - run_on_start: false

schedule_saltutil_clear_cache:
  schedule.present:
    - name: schedule_saltutil_clear_cache
    - function: saltutil.clear_cache
    - hours: 2
    - run_on_start: false

schedule_pkg_refresh:
  schedule.absent:
    - name: schedule_pkg_refresh

schedule_pkg_upgrade:
  schedule.absent:
    - name: schedule_pkg_upgrade

{%- for key, value in specs.default.items() %}
{{ key }}:
  grains.present:
    - name: {{ key }}
    - value: {% if specs[salt['grains.get']('id')][key] is defined %}{{ specs[salt['grains.get']('id')][key] }}{% else %}{{ value }}{% endif %}
    - force: true
{% endfor %}
