---
{%- from "rclone/map.jinja" import rclone with context %}
{%- if not salt['file.file_exists']( rclone.install_dir +"/rclone-" + rclone.version) %}
rclone-archive-extract:
  archive.extracted:
    - name: {{ rclone.release_dir }}
    - source: {{ rclone.mirror }}/{{ rclone.version }}/rclone-{{ rclone.version }}-{{ rclone.os }}-{{ rclone.arch }}.zip
    - skip_verify: true
    - enforce_toplevel: false
    - if_missing: {{ rclone.release_dir }}/rclone

rclone-binary-symlink:
  file.symlink:
    - name: /usr/local/bin/rclone
    - target: {{ rclone.release_dir }}/rclone-{{ rclone.version }}-{{ rclone.os }}-{{ rclone.arch }}/rclone
    - force: true
    - require:
      - archive: rclone-archive-extract
{%- endif %}